v_vcresampler: XV_vcresampler_Config Struct Reference

| v_vcresampler Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_vcresampler_Config Struct Reference

This typedef contains configuration information for the vertical chroma resampler core. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| The base address of the core instance. More...
u16 | PixPerClk
| Samples Per Clock supported by core instance. More...
u16 | NumVidComponents
| Number of Video Components. More...
u16 | MaxWidth
| Maximum columns supported by core instance. More...
u16 | MaxHeight
| Maximum rows supported by core instance. More...
u16 | MaxDataWidth
| Maximum Data width of each channel. More...
u16 | ResamplingType
| Resampling Method selected. More...
u16 | NumTaps
| Number of filter taps. More...

## Detailed Description

This typedef contains configuration information for the vertical chroma resampler core.

Each core instance should have a configuration structure associated.

## Field Documentation

UINTPTR XV_vcresampler_Config::BaseAddress

The base address of the core instance.

Referenced by XV_VCrsmplDbgReportStatus().

u16 XV_vcresampler_Config::DeviceId

Unique ID of device.

u16 XV_vcresampler_Config::MaxDataWidth

Maximum Data width of each channel.

u16 XV_vcresampler_Config::MaxHeight

Maximum rows supported by core instance.

u16 XV_vcresampler_Config::MaxWidth

Maximum columns supported by core instance.

u16 XV_vcresampler_Config::NumTaps

Number of filter taps.

Referenced by XV_VCrsmplDbgReportStatus(), XV_VCrsmplLoadDefaultCoeff(), and XV_VCrsmplrLoadExtCoeff().

u16 XV_vcresampler_Config::NumVidComponents

Number of Video Components.

u16 XV_vcresampler_Config::PixPerClk

Samples Per Clock supported by core instance.

u16 XV_vcresampler_Config::ResamplingType

Resampling Method selected.

Referenced by XV_VCrsmplDbgReportStatus(), and XV_VCrsmplSetFormat().